> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model YAML

> Generate YAML representation of a model's current node tree.



## OpenAPI

````yaml GET /models/{model_id}/yaml
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /models/{model_id}/yaml:
    get:
      summary: Get model YAML
      description: Generate YAML representation of a model's current node tree.
      operationId: get-model-yaml
      parameters:
        - name: model_id
          in: path
          description: Model friendly ID (e.g., mdl_abc123def456)
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            text/yaml:
              schema:
                type: string
              examples:
                Result:
                  value: |
                    nexus:
                      - name: Net Carbon Removal
                        formula: input_1 - input_2
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````